Enviar um evento de teste
curl --request POST \
--url https://api.jurichat.com/webhooks/{webhookId}/test \
--header 'x-jurichat-api-key: <api-key>'import requests
url = "https://api.jurichat.com/webhooks/{webhookId}/test"
headers = {"x-jurichat-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-jurichat-api-key': '<api-key>'}};
fetch('https://api.jurichat.com/webhooks/{webhookId}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deliveryId": "<string>",
"success": true,
"statusCode": 123,
"durationMs": 123,
"errorMessage": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"details": "<string>"
}Webhooks
Enviar um evento de teste
Envia um evento webhook.test sincronamente para a URL do webhook e retorna o resultado imediatamente. Use isso para verificar se seu endpoint está acessível e configurado corretamente.
POST
/
webhooks
/
{webhookId}
/
test
Enviar um evento de teste
Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-jurichat-api-key.
Path Parameters
ID único do webhook a ser testado.
Response
Default Response
ID do registro de entrega criado para este teste. Use-o para inspecionar a resposta completa.
Se o servidor de destino respondeu com um código de status 2xx.
Código de status HTTP retornado pelo servidor de destino (0 se ocorreu um erro de rede).
Tempo de ida e volta em milissegundos desde o envio da requisição até a recepção da resposta.
Descrição do erro se a entrega falhou (null em caso de sucesso).